Package org.eclipse.microprofile.openapi.annotations.enums

# Enum Explode

java.lang.Object
java.lang.Enum<Explode>
org.eclipse.microprofile.openapi.annotations.enums.Explode

All Implemented Interfaces:
  `Serializable`, `Comparable<Explode>`

public enum Explode extends Enum<Explode>
Enumeration used to define the value of Explode property.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
`FALSE`
`TRUE`

## Method Summary

Modifier and Type
Method
Description
`static Explode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Explode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final Explode DEFAULT

### FALSE

public static final Explode FALSE

### TRUE

public static final Explode TRUE

## Method Details

### values

public static Explode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Explode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null